<template>
  <span
    class="icono-de-estado"
    :style="{ '--color': color || 'white' }"
    :aria-label="label"
  >
    <span v-if="cantidad !== undefined" class="cantidad">{{ cantidad }}</span>
    <slot></slot>
    <IconoAFavor v-if="tipo === 'a_favor'" />
    <IconoBloqueo v-else-if="tipo === 'bloqueo'" />
    <IconoEnContra v-else-if="tipo === 'en_contra'" />
    <IconoIndiferente v-else-if="tipo === 'indiferente'" />
    <IconoMeComprometo v-else-if="tipo === 'compromiso'" />
  </span>
</template>

<script>
import IconoAFavor from '@/assets/iconos/a-favor.svg?inline'
import IconoBloqueo from '@/assets/iconos/bloqueo.svg?inline'
import IconoEnContra from '@/assets/iconos/en-contra.svg?inline'
import IconoIndiferente from '@/assets/iconos/indiferente.svg?inline'
import IconoMeComprometo from '@/assets/iconos/me-comprometo.svg?inline'

export default {
  name: 'IconoDeEstado',
  props: ['tipo', 'cantidad'],
  components: {
    IconoAFavor,
    IconoBloqueo,
    IconoEnContra,
    IconoIndiferente,
    IconoMeComprometo,
  },
  computed: {
    color() {
      switch (this.tipo) {
        case 'compromiso':
          return '#b5589f'
        case 'a_favor':
          return '#97b840'
        case 'en_contra':
          return '#b02e28'
        case 'indiferente':
          return '#fbe44a'
        default:
          return 'white'
      }
    },
    label() {
      switch (this.tipo) {
        case 'compromiso':
          return 'Compromiso'
        case 'a_favor':
          return 'A favor'
        case 'en_contra':
          return 'En contra'
        case 'indiferente':
          return 'Indiferente'
        case 'compromiso':
          return 'Compromiso'
        default:
          return '' // !!!
      }
    },
  },
}
</script>

<style lang="sass" scoped>
.icono-de-estado
  display: block
  margin: 0 auto
  .cantidad
    align-self: flex-start
    color: var(--blackish)
  svg
    max-height: 3.5em
    max-width: 3.5em
    width: 100%

.cantidad
  background: var(--color)
  border: 5px solid black
  border-radius: 1em
  font-weight: bold

  width: 1.7em
  height: 1.7em

  display: flex
  align-items: center
  justify-content: center
</style>
